Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class BtreeStats

    java.lang.Object
      com.sleepycat.je.DatabaseStats
          com.sleepycat.je.BtreeStats

All Implemented Interfaces:
  Serializable

    public class BtreeStats

extends DatabaseStats

The BtreeStats object is used to return Btree database statistics.

See Also:
  Serialized Form

Constructor Summary
`BtreeStats()`

Method Summary
`long[]` | `getBINsByLevel()` Returns the count of Bottom Internal Nodes per level, indexed by level.
`long` | `getBottomInternalNodeCount()` Returns the number of Bottom Internal Nodes in the database tree.
`long[]` | `getDBINsByLevel()` Returns the count of Duplicate Bottom Internal Nodes per level, indexed by level.
`long` | `getDeletedLeafNodeCount()` Returns the number of deleted data records in the database tree that are pending removal by the compressor.
`long[]` | `getDINsByLevel()` Returns the count of Duplicate Internal Nodes per level, indexed by level.
`long` | `getDupCountLeafNodeCount()` Returns the number of duplicate count leaf nodes in the database tree.
`long` | `getDuplicateBottomInternalNodeCount()` Returns the number of Duplicate Bottom Internal Nodes in the database tree.
`long` | `getDuplicateInternalNodeCount()` Returns the number of Duplicate Internal Nodes in the database tree.
`int` | `getDuplicateTreeMaxDepth()` Returns the maximum depth of the duplicate database trees.
`long[]` | `getINsByLevel()` Returns the count of Internal Nodes per level, indexed by level.
`long` | `getInternalNodeCount()` Returns the number of Internal Nodes in the database tree.
`long` | `getLeafNodeCount()` Returns the number of leaf nodes in the database tree, which can equal the number of records.
`int` | `getMainTreeMaxDepth()` Returns the maximum depth of the main database tree.
`long` | `getRelatches()` Returns the number of latch upgrades (relatches) required while operating on this database's BTree.
`int` | `getRootSplits()` The number of times the root of the BTree was split.
`String` | `toString()` For convenience, the BtreeStats class has a toString method that lists all the data fields.
`String` | `toStringVerbose()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BtreeStats

    public BtreeStats()

Method Detail

### getBottomInternalNodeCount

    public long getBottomInternalNodeCount()

  Returns the number of Bottom Internal Nodes in the database tree.

  The information is included only if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    number of Bottom Internal Nodes in the database tree.

### getDuplicateBottomInternalNodeCount

    public long getDuplicateBottomInternalNodeCount()

  Returns the number of Duplicate Bottom Internal Nodes in the database tree.

  The information is included only if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    number of Duplicate Bottom Internal Nodes in the database tree.

### getDeletedLeafNodeCount

    public long getDeletedLeafNodeCount()

  Returns the number of deleted data records in the database tree that are pending removal by the compressor.

  The information is included only if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    number of deleted data records in the database tree that are pending removal by the compressor.

### getDupCountLeafNodeCount

    public long getDupCountLeafNodeCount()

  Returns the number of duplicate count leaf nodes in the database tree.

  The information is included only if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    number of duplicate count leaf nodes in the database tree.

### getInternalNodeCount

    public long getInternalNodeCount()

  Returns the number of Internal Nodes in the database tree.

  The information is included only if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    number of Internal Nodes in the database tree.

### getDuplicateInternalNodeCount

    public long getDuplicateInternalNodeCount()

  Returns the number of Duplicate Internal Nodes in the database tree.

  The information is included only if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    number of Duplicate Internal Nodes in the database tree.

### getLeafNodeCount

    public long getLeafNodeCount()

  Returns the number of leaf nodes in the database tree, which can equal the number of records. This is calculated without locks or transactions, and therefore is only an accurate count of the current number of records when the database is quiescent.

  The information is included only if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    number of leaf nodes in the database tree, which can equal the number of records. This is calculated without locks or transactions, and therefore is only an accurate count of the current number of records when the database is quiescent.

### getMainTreeMaxDepth

    public int getMainTreeMaxDepth()

  Returns the maximum depth of the main database tree.

  The information is included only if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    maximum depth of the main database tree.

### getDuplicateTreeMaxDepth

    public int getDuplicateTreeMaxDepth()

  Returns the maximum depth of the duplicate database trees.

  The information is included only if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    maximum depth of the duplicate database trees.

### getINsByLevel

    public long[] getINsByLevel()

  Returns the count of Internal Nodes per level, indexed by level.

  The information is included only if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    count of Internal Nodes per level, indexed by level.

### getBINsByLevel

    public long[] getBINsByLevel()

  Returns the count of Bottom Internal Nodes per level, indexed by level.

  The information is included only if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    count of Bottom Internal Nodes per level, indexed by level.

### getDINsByLevel

    public long[] getDINsByLevel()

  Returns the count of Duplicate Internal Nodes per level, indexed by level.

  The information is included only if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    count of Duplicate Internal Nodes per level, indexed by level.

### getDBINsByLevel

    public long[] getDBINsByLevel()

  Returns the count of Duplicate Bottom Internal Nodes per level, indexed by level.

  The information is included only if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

  Returns:
    count of Duplicate Bottom Internal Nodes per level, indexed by level.

### getRelatches

    public long getRelatches()

  Returns the number of latch upgrades (relatches) required while operating on this database's BTree. Latch upgrades are required when an operation assumes that a shared (read) latch will be sufficient but later determines that an exclusive (write) latch will actually be required.

  Returns:
    number of latch upgrades (relatches) required.

### getRootSplits

    public int getRootSplits()

  The number of times the root of the BTree was split.

  Returns:
    number of times the root was split.

### toString

    public String toString()

  For convenience, the BtreeStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

### toStringVerbose

    public String toStringVerbose()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.